New Evolve extension release: version 9.3.0

2020-03-04

We pushed a new release for the evolve extension: 9.3.0.

This extension extends core features around history rewriting and draft changesets sharing.

As usual, the release is available on PyPI and upgrade is recommended.

The release contains improvements and bugfixes on multiple aspects. Check the changelog for details. The most notable change are: Improved support for Mercurial 5.3, drop of support for Mercurial 4.5, and a new configuration in topic to hide changesets with a topic set to clients without topic support.

Thanks to all the people involved:

Evolve: 9.3.0

9.3.0 -- 2020-03-04

  • compat: compatibility with Mercurial 5.3
  • compat: drop compatibility with Mercurial 4.5
  • compat: cleanup old compatibility code for Mercurial < 4.5

  • evolve: extensive cleanup of functions, template keywords and compatibility code related to obsfate and successorssets

  • evolve: add content divergence checking to the standard pre-rewrite check
  • evolve: improve the message associated with content divergence
  • evolve: correctly handle --continue and --stop when relocating content-divergent changesets

  • exchange: dropped more bundle-1 related dead code

  • help: categorizing evolve and topic commands

  • obslog: make templatable (more change coming in the next version)

  • obslog: show folds and use more specific verbs when possible

Topic 0.18.0

  • topic: add a experimental.topic.server-gate-topic-changesets config